"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function listen(el, eventNames, listener) {
    eventNames.forEach(function (eventName) {
        el.addEventListener(eventName, listener, supportsPassive ? { passive: false } : false);
    });
    return function () {
        eventNames.forEach(function (eventName) {
            el.removeEventListener(eventName, listener);
        });
    };
}
exports.listen = listen;
function getSupportsPassive() {
    var supportsPassive = false;
    try {
        var opts = Object.defineProperty({}, "passive", {
            get: function () {
                supportsPassive = true;
            }
        });
        window.addEventListener("test", null, opts);
    }
    catch (e) { }
    return supportsPassive;
}
var supportsPassive = getSupportsPassive();
//# sourceMappingURL=listen.js.map